curl -X GET "https://api.affonso.io/v1/program/brand" \
-H "Authorization: Bearer sk_live_your_api_key"
{
"success": true,
"data": {
"id": "cmp_brand_profile_123",
"affiliate_program_id": "cmp_program_123",
"primary_category": "SALES_CRM_SUPPORT",
"product_format": "SAAS_WEB_APP",
"audience_model": "B2B",
"market_scope": "WORLDWIDE",
"target_continents": [],
"target_country_codes": [],
"target_industries": ["SAAS_TECHNOLOGY"],
"roles": ["SALES", "MARKETING"],
"company_sizes": ["TWO_TO_TEN", "ELEVEN_TO_FIFTY"],
"company_stages": ["SCALING"],
"purchase_contexts": ["PRODUCT_LED"],
"subcategories": ["SALES_CRM"],
"excluded_target_industries": [],
"excluded_roles": [],
"excluded_market_scope": null,
"excluded_continents": [],
"excluded_country_codes": [],
"created_at": "2026-08-21T10:00:00.000Z",
"updated_at": "2026-08-21T10:00:00.000Z"
}
}
Brand Profile
Get Brand Profile
Get the market profile that describes your affiliate program
GET
/
v1
/
program
/
brand
curl -X GET "https://api.affonso.io/v1/program/brand" \
-H "Authorization: Bearer sk_live_your_api_key"
{
"success": true,
"data": {
"id": "cmp_brand_profile_123",
"affiliate_program_id": "cmp_program_123",
"primary_category": "SALES_CRM_SUPPORT",
"product_format": "SAAS_WEB_APP",
"audience_model": "B2B",
"market_scope": "WORLDWIDE",
"target_continents": [],
"target_country_codes": [],
"target_industries": ["SAAS_TECHNOLOGY"],
"roles": ["SALES", "MARKETING"],
"company_sizes": ["TWO_TO_TEN", "ELEVEN_TO_FIFTY"],
"company_stages": ["SCALING"],
"purchase_contexts": ["PRODUCT_LED"],
"subcategories": ["SALES_CRM"],
"excluded_target_industries": [],
"excluded_roles": [],
"excluded_market_scope": null,
"excluded_continents": [],
"excluded_country_codes": [],
"created_at": "2026-08-21T10:00:00.000Z",
"updated_at": "2026-08-21T10:00:00.000Z"
}
}
Retrieve your program’s brand market profile. The profile is used to categorise your program in the marketplace. A newly created program returns
All enum values and request validation rules are listed in Update Brand Profile.
null until a profile has been saved.
Response
boolean
Always
true for successful responses.object | null
The brand market profile, or
null if it has not been configured.Show Brand Profile Properties
Show Brand Profile Properties
string
Unique profile identifier.
string
Identifier of the program that owns the profile.
string | null
Primary marketplace category.
string | null
Format of the product or service.
string | null
Whether the product is
B2B, B2C, or BOTH.string | null
Targeting scope:
WORLDWIDE, CONTINENTS, or COUNTRIES.array
Target continent codes.
array
Target ISO 3166-1 alpha-2 country codes.
array
Target industries.
array
Target audience roles.
array
Target company sizes.
array
Target company stages.
array
How customers typically buy the product.
array
More specific product categories.
array
Industries explicitly excluded from targeting.
array
Roles explicitly excluded from targeting.
string | null
Geographic scope explicitly excluded from targeting.
array
Continents explicitly excluded from targeting.
array
ISO 3166-1 alpha-2 country codes explicitly excluded from targeting.
string
ISO 8601 timestamp when the profile was created.
string
ISO 8601 timestamp when the profile was last updated.
curl -X GET "https://api.affonso.io/v1/program/brand" \
-H "Authorization: Bearer sk_live_your_api_key"
{
"success": true,
"data": {
"id": "cmp_brand_profile_123",
"affiliate_program_id": "cmp_program_123",
"primary_category": "SALES_CRM_SUPPORT",
"product_format": "SAAS_WEB_APP",
"audience_model": "B2B",
"market_scope": "WORLDWIDE",
"target_continents": [],
"target_country_codes": [],
"target_industries": ["SAAS_TECHNOLOGY"],
"roles": ["SALES", "MARKETING"],
"company_sizes": ["TWO_TO_TEN", "ELEVEN_TO_FIFTY"],
"company_stages": ["SCALING"],
"purchase_contexts": ["PRODUCT_LED"],
"subcategories": ["SALES_CRM"],
"excluded_target_industries": [],
"excluded_roles": [],
"excluded_market_scope": null,
"excluded_continents": [],
"excluded_country_codes": [],
"created_at": "2026-08-21T10:00:00.000Z",
"updated_at": "2026-08-21T10:00:00.000Z"
}
}
Was this page helpful?
⌘I
